Package com.sun.jna.platform.win32.COM

# Class TypeInfoUtil.ContainingTypeLib

java.lang.Object
com.sun.jna.platform.win32.COM.TypeInfoUtil.ContainingTypeLib

Enclosing class:
  TypeInfoUtil

public static class TypeInfoUtil.ContainingTypeLib extends Object
The Class ContainingTypeLib.

Author:
  wolf.tobias@gmx.net The Class ContainingTypeLib.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContainingTypeLib(ITypeLib typeLib, int index)`
  Instantiates a new containing type lib.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  Gets the index.
  `ITypeLib`
  `getTypeLib()`
  Gets the type lib.
  `void`
  `setIndex(int index)`
  Sets the index.
  `void`
  `setTypeLib(ITypeLib typeLib)`
  Sets the type lib.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContainingTypeLib

    public ContainingTypeLib(ITypeLib typeLib, int index)
    Instantiates a new containing type lib.
    Parameters:
      `typeLib` - the type lib
      `index` - the index

- ## Method Details

  - ### getTypeLib

    public ITypeLib getTypeLib()
    Gets the type lib.
    Returns:
      the type lib

  - ### setTypeLib

    public void setTypeLib(ITypeLib typeLib)
    Sets the type lib.
    Parameters:
      `typeLib` - the new type lib

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex(int index)
    Sets the index.
    Parameters:
      `index` - the new index